Bug 1690808 (CVE-2019-5737) - CVE-2019-5737 nodejs: Insufficient Slowloris fix causing DoS via server.headersTimeout bypass
Summary: CVE-2019-5737 nodejs: Insufficient Slowloris fix causing DoS via server.heade...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-5737
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1690814 1690815 1691548 1711309 1711310 1721035 1721036 1721037 1721038
Blocks: 1690811
TreeView+ depends on / blocked
 
Reported: 2019-03-20 09:48 UTC by Dhananjay Arunesh
Modified: 2020-02-17 15:57 UTC (History)
29 users (show)

Fixed In Version: nodejs 6.17.0, nodejs 8.15.1, nodejs 10.15.2, nodejs 11.10.1
Doc Type: If docs needed, set a value
Doc Text:
It was found that the original fix for Slowloris, CVE-2018-12122, was insufficient. It is possible to bypass the server's headersTimeout by sending two specially crafted HTTP requests in the same connection. An attacker could use this flaw to bypass Slowloris protection, resulting in a denial of service.
Clone Of:
Environment:
Last Closed: 2019-07-22 15:07:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1844 None None None 2019-07-24 14:56:07 UTC
Red Hat Product Errata RHBA-2019:1869 None None None 2019-07-26 18:08:50 UTC
Red Hat Product Errata RHSA-2019:1821 None None None 2019-07-22 13:37:58 UTC

Description Dhananjay Arunesh 2019-03-20 09:48:34 UTC
All actively supported release lines are vulnerable and the severity is LOW. An attacker can cause a Denial of Service (DoS) by establishing an HTTP or HTTPS connection in keep-alive mode and by sending headers very slowly thereby keeping the connection and associated resources alive for a long period of time. Attack potential is mitigated by the use of a load balancer or other proxy layer.

Reference:
https://nodejs.org/en/blog/vulnerability/february-2019-security-releases/

Comment 1 Dhananjay Arunesh 2019-03-20 09:55:14 UTC
Created nodejs tracking bugs for this issue:

Affects: fedora-all [bug 1690814]

Comment 2 Dhananjay Arunesh 2019-03-20 09:55:49 UTC
Created nodejs tracking bugs for this issue:

Affects: epel-7 [bug 1690815]

Comment 3 Scott Gayou 2019-03-21 21:05:39 UTC
Upstream Commit: https://github.com/nodejs/node/commit/1a7302bd48

Comment 6 Dhananjay Arunesh 2019-05-16 07:43:38 UTC
External References:

https://nodejs.org/ja/blog/vulnerability/february-2019-security-releases/

Comment 10 Cedric Buissart 🐶 2019-06-19 09:20:29 UTC
Mitigation:

The use of a Load Balancer or a Reverse Proxy will increase the difficulty of the attack.

Comment 12 errata-xmlrpc 2019-07-22 13:37:56 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:1821 https://access.redhat.com/errata/RHSA-2019:1821

Comment 13 Product Security DevOps Team 2019-07-22 15:07:06 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-5737

Comment 14 Riccardo Schirone 2020-02-17 15:57:47 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2019:2939 https://access.redhat.com/errata/RHSA-2019:2939


Note You need to log in before you can comment on or make changes to this bug.